hammer content-view create --repositories doesn't work with --name
06/20/2018 07:12 PM - Christine Fouant
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1585993

Description of problem:
whenever i try to create a content view with repositories attached to it (in a single command), it fails:

1. hammer -u admin -p changeme --output=csv content-view create --product="qZUFXCqgilwMirUQuLZH" --organization-id="134"
--repositories="HLWrPBJDOVDVyal" --name="foo"
Could not create the content view:
Error: one of repositories not found.

the issues seems to be with using --repositories together with --name option.
While --name parameter is required (content view name), when --repositories is used, hammer uses the value of --name while
querying for the repositories, which obviously yields 0 results:

1. hammer -d -u admin -p changeme --output=csv content-view create --product="gZUFXCqgilwMirUQuLZH"
--organization-id="134" --repositories="HLWrPBJDOVDVyal" --name="foo"

[ INFO 2018-06-05T05:06:53 API] GET /katello/api/products/889/repositories
[DEBUG 2018-06-05T05:06:53 API] Params: {

"name" => "foo",

"names" => [

[0] "HLWrPBJDOVDVyal"

]

1
[DEBUG 2018-06-05T05:06:53 API] Headers: {

params => {
"name" = "fOO",
"names" => [

[0] "HLWrPBJDOVDVyal"
]
1
1

Version-Release number of selected component (if applicable):
6.4.0-6

How reproducible:
always

Steps to Reproduce:
1. # hammer -d -u admin -p changeme --output=csv content-view create --product="qZUFXCqgilwMirUQuLZH"
--organization-id="134" --repositories="HLWrPBJDOVDVyal" --name="foo"

Actual results:
https://bugzilla.redhat.com/show_bug.cgi?id=1585993

unable to locate the repositories as hammer puts the content-view name into the search query.

this is a regression from 6.3

Associated revisions

Revision 1dc05861 - 06/22/2018 01:34 PM - Christine Fouant

fixes #24023 - removes singular name param names array exists (#564)

History

#1 - 06/20/2018 07:18 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/hammer-cli-katello/pull/564 added

#2 - 06/22/2018 02:01 PM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|1dc05861ed2121a5{02db6f70efdb367bf4cd61b.

#3 - 06/27/2018 05:35 PM - Andrew Kofink

- translation missing: en.field_release set to 338
